# $Revision: 1.10 $, $Date: 2002/09/25 15:11:44 $
Summary:	PPP Over Ethernet client
Summary(pl):	Klient PPP Poprzez Ethernet (PPPoE)
Summary(pt_BR):	Protocolo PPPoE (PPP over Ethernet), usado comumente com modens xDSL
Summary(ru):	PPP Over Ethernet ( xDSL)
Summary(uk):	PPP Over Ethernet (Ц xDSL)
Name:		rp-pppoe
Version:	3.5
Release:	3
License:	GPL v2+
Group:		Networking
Source0:	http://www.roaringpenguin.com/pppoe/%{name}-%{version}.tar.gz
Source1:	%{name}-server.init
Source2:	%{name}-server.sysconfig
Source3:	%{name}-relay.init
Source4:	%{name}-relay.sysconfig
Patch0:		%{name}-ac.patch
Patch1:		%{name}-tkpppoe.in.patch
Patch2:		%{name}-enobufs.patch
URL:		http://www.roaringpenguin.com/pppoe/
BuildRequires:	automake
BuildRequires:	autoconf
Requires:	ppp >= 2.4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

%description -l pl
PPPoE (Protok Punkt-Punkt poprzez Ethernet) jest protokoem uywanym
przez wielu dostarczycieli usugi ADSL.

Klient jest programem dziaajcym w przestrzeni uytkownika, a to
oznacza, e nie wymaga modyfikacji kernela. Jest w peni zgodny z
oficjaln specyfikacj PPPoE - RFC 2516.

%description -l pt_BR
PPPoE (Point-to-Point Protocol over Ethernet)  um protocolo usado por
muitos provedores de acesso  internet e companhias telefnicas para
prover acesso de alta velocidade xDSL.

Este cliente  um programa user-mode que no necessita de modificaes
no kernel. Esta implementao segue a RFC 2516, a especificao
oficial para PPPoE.

%description -l ru
PPPoE (Point-to-Point Protocol over Ethernet) -  ,
  ADSL ISP. Roaring Penguin 
      ISP.

       
 -  .     RFC
2516,   PPPoE.

%description -l uk
PPPoE (Point-to-Point Protocol over Ethernet) -  , 
դ  ADSL ISP. Roaring Penguin  צ
̦  Ц   ISP.

̦ Ѥ  Φ     
- Ʀæ .  Φ ͦ  RFC 2516,
Ʀæ Ʀæ PPPoE.

%package gui
Summary:	GUI front-end for rp-pppoe
Summary(pl):	Graficzny interfejs dla rp-pppoe
Summary(pt_BR):	Interface grfica para configurao do rp-pppoe
Group:		X11/Applications/Networking
Requires:	rp-pppoe >= 3.4

%description gui
This package contains the graphical frontend (tk-based) for rp-pppoe.

%description gui -l pl
Graficzny interfejs uytkownika (bazujcy na tk) dla rp-pppoe.

%description gui -l pt_BR
Este pacote fornece uma interface grfica para a configurao do
rp-pppoe.

%package server
Summary:	PPPoE server
Summary(pl):	Serwer PPPoE
Group:		Networking/Daemons
Requires:	ppp >= 2.4.1

%description server
PPP over Ethernet server.

%description -l pl server
Serwer PPP over Ethernet.

%package relay
Summary:	PPPoE relay
Summary(pl):	Agent przekazujcy pakiety PPPoE
Group:		Networking/Daemons

%description relay
PPP over Ethernet relay.

%description -l pl relay
Agent przekazujcy pakiety PPPoE.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd src
%{__aclocal}
%{__autoconf}
%configure
# we always want kernel mode PPPoE support in utilities
echo '#define HAVE_LINUX_KERNEL_PPPOE 1' >> config.h
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/{sysconfig,rc.d/init.d}

%{__make} -C src install \
	RPM_INSTALL_ROOT=$RPM_BUILD_ROOT
%{__make} -C gui install \
	RPM_INSTALL_ROOT=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/pppoe-server
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/pppoe-server
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/pppoe-relay
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/pppoe-relay

# This is necessary for the gui to work, but it shouldn't be done here !
install -d $RPM_BUILD_ROOT%{_sysconfdir}/ppp/rp-pppoe-gui

%clean
rm -fr $RPM_BUILD_ROOT

%post server
/sbin/chkconfig --add pppoe-server
if [ -f /var/lock/subsys/pppoe-server ]; then
        /etc/rc.d/init.d/pppoe-server restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/pppoe-server start\" to start PPPoE daemon."
fi

%preun server
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/pppoe-server ]; then
                /etc/rc.d/init.d/pppoe-server stop 1>&2
        fi
        /sbin/chkconfig --del pppoe-server
fi

%post relay
/sbin/chkconfig --add pppoe-relay
if [ -f /var/lock/subsys/pppoe-relay ]; then
        /etc/rc.d/init.d/pppoe-relay restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/pppoe-relay start\" to start PPPoE relay daemon."
fi

%preun relay
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/pppoe-relay ]; then
                /etc/rc.d/init.d/pppoe-relay stop 1>&2
        fi
        /sbin/chkconfig --del pppoe-relay
fi

%files
%defattr(644,root,root,755)
%doc doc/* README
%attr(755,root,root) %{_sbindir}/adsl*
%attr(755,root,root) %{_sbindir}/pppoe
%attr(755,root,root) %{_sbindir}/pppoe-sniff

%config(noreplace) %{_sysconfdir}/ppp/pppoe.conf
%config(noreplace) %{_sysconfdir}/ppp/firewall-masq
%config(noreplace) %{_sysconfdir}/ppp/firewall-standalone
%{_mandir}/man5/*
%{_mandir}/man8/adsl*
%{_mandir}/man8/pppoe.*
%{_mandir}/man8/pppoe-sniff*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tkpppoe
%attr(755,root,root) %{_sbindir}/pppoe-wrapper
%dir %{_sysconfdir}/ppp/rp-pppoe-gui
%{_datadir}/tkpppoe
%{_mandir}/man1/*

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/pppoe-server
%config(noreplace) %{_sysconfdir}/ppp/pppoe-server-options
%{_mandir}/man8/pppoe-server*
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/pppoe-server
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sysconfig/pppoe-server

%files relay
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/pppoe-relay
%{_mandir}/man8/pppoe-relay*
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/pppoe-relay
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sysconfig/pppoe-relay

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rp-pppoe.spec,v $
Revision 1.10  2002/09/25 15:11:44  misiek
- add enobufs patch + remove ECHO variable; rel 3

Revision 1.9  2002/09/04 10:24:06  jack
- Added BR auto{make,conf}
- Applied patch from Thomas Antepoth to src/if.c (closes: #124175), see http://www.voy.com/41165/2/1244.html
- testing (needs time because it doesn't connect only a few times but allmost always connects)

Revision 1.8  2002/08/26 10:51:09  qboosh
- GPL v2+

Revision 1.7  2002/08/24 11:01:34  kloczek
- License: GPL v2.

Revision 1.6  2002/08/23 23:19:55  misiek
- added server and relay subpackages; rel 2

Revision 1.5  2002/08/16 23:34:26  kloczek
- merge translations from KSI and Conectiva,
- add tkpppoe.in patch for place direcly #!/usr/bin/wish in tkpppoe script
  preamble.

Revision 1.4  2002/08/12 19:38:08  misiek
- fix ac

Revision 1.3  2002/08/10 17:27:29  misiek
- enable kernel-mode PPPoE support in utilities

Revision 1.2  2002/08/09 23:28:06  misiek
 - fix url

Revision 1.1  2002/08/09 22:52:26  misiek
- PPPoE client and server

* Mon Jul 29 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.5-1mdk
- New and shiny source.

* Fri Jul 05 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.4-2mdk
- /usr/bin/wish dependency for gui package (Vox).

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.4-1mdk
- New version 3.4.

* Sun Mar 24 2002 David BAUDENS <baudens@mandrakesoft.com> 3.3-3mdk
- Hum, allow menu entry to be displayed in menu structures...
- Add icon to menu entry

* Fri Feb  1 2002 dam's <damien@mandrakesoft.com> 3.3-2mdk
- added noreplace for /etc/rp-pppoe.conf

* Mon Jan 14 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.3-1mdk
- Bump to 3.3.

* Tue Jul 03 2001 Yves Bailly <ybailly@mandrakesoft.com> 3.1-2mdk
- fixed missing /etc/ppp/rp-pppoe-gui for the gui package (should be done
  at the rp-pppoe level, not here)

* Sat Jun 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1-1mdk
- Bump 3.1 into cooker.

* Fri Apr 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.0-1mdk
- Make a new and shiny RPM.
- Don't (noreplace) pppoe.conf as that is incompatible with the older ones.
- Split GUI into a separate package.

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.8-3mdk
- fix compile (remove ansi-pedantic, fix includes)

* Sun Feb 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.8-2mdk
- Include pppoe-relay file.

* Tue Feb 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.8-1mdk
- bump to 2.8.
- change directory to src before doing a configure.
- cleanup of man-pages file list.

* Tue Jan 09 2001 Geoff <snailtalk@mandrakesoft.com> 2.6-1mdk
- new and shiny source.
- remove the perl replacement expression used to replace the default
  optflags with our own.

* Wed Dec 20 2000 David BAUDENS <baudens@mandrakesoft.com> 2.5-4mdk
- BuildRequires: ppp
- Use %%make macro
- s/Copyright/License

* Mon Dec 18 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.5-3mdk
- macros
- move /usr/man to /usr/share/man where it belongs

* Sun Dec 17 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.5-2mdk
- test with Sympatico HSE
- added missing files in spec (adsl-status, pppoe-snif, etc)

* Sat Dec 16 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.5-1mdk
- 2.5 (security fixes)

* Thu Oct  5 2000 dam's <damien@mandrakesoft.com> 1.7-3mdk
- added patch0. the bogus connection is cleanly removed.

* Tue Sep  5 2000 Etienne Faure  <etienne@mandraksoft.com> 1.7-2mdk
- rebuilt with _mandir and %%doc macros
- run chkconfig

* Fri Apr  7 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.7-1mdk
- changed group
- new version

* Tue Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6-1mdk
- updated to 1.6
- merged my patches with the author so it's in the distribution

*Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3-1mdk
- First Mandrake release
- require pppoe-linuxconf
